﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.MVC;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using Portal.Models.OrderPlan;
@using Portal.Models.OrderPlanPartial;
@using Portal.Models.Globals;

@model Toyota.Common.Web.MVC.ModelHolder
@*@using (Html.BeginForm("PartialLPOPConfirmation", "SupplierProfile", FormMethod.Post, new { enctype = "multipart/form-data" }))
{*@
<table cellpadding="0" cellspacing="0">
    <tr>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
            label.ControlStyle.CssClass = "Label";
            label.Text = "Order No";
            label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td align="left">
            @Html.DevExpress().TextBox(
            textbox =>
            {
            textbox.Name = "txtOrderNoRelease";
            textbox.ControlStyle.Wrap = DefaultBoolean.False;
            textbox.Width = Unit.Pixel(200);
            textbox.Properties.MaxLength = 50;

            }).GetHtml()
        </td>

        <td></td>
        <td></td>

    </tr>

    <tr>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
            label.ControlStyle.CssClass = "Label";
            label.Text = "Date";
            label.Style.Add("padding-right", "10px");

            }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().DateEdit(
            orderdate =>
            {
            orderdate.Name = "OrderDate";
            orderdate.Width = 100;
            orderdate.Properties.EditFormatString = "dd.MM.yyyy";
            //orderdate.Date = DateTime.Now;
            orderdate.Properties.ClientSideEvents.DateChanged = "OnDateChanged";
            }).GetHtml()

        </td>

        <td></td>

        <td></td>
    </tr>

    <tr>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
            label.ControlStyle.CssClass = "Label";
            label.Text = "Plant";
            label.Style.Add("padding-right", "10px");

            }).GetHtml()
        </td>
        <td>
            @Html.Common().DevExpress().GridLookup(
            gridLookup =>
            {
            gridLookup.Name = "PartialReleasePlantGridLookup";
            gridLookup.Width = Unit.Pixel(100);
            gridLookup.GridProperties.KeyFieldName = "PlantCode";
            gridLookup.GridProperties.CallbackRouteValues = new { Controller = "PartialRelease", Action = "PartialHeaderLookUp" };
            gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
            gridLookup.ReadOnly = true;
            gridLookup.GridProperties.Columns.Add(column =>
            {
            column.Name = "PlantCode";
            column.FieldName = "PlantCode";
            column.Caption = "TMMIN<br />Plant Code";
            column.Width = Unit.Pixel(80);
            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
            });
            gridLookup.GridProperties.Columns.Add(column =>
            {
            column.Name = "PlantName";
            column.FieldName = "PlantName";
            column.Caption = "Plant<br />Name";
            column.Width = Unit.Pixel(250);
            column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
            });
            // gridLookup.ButtonClick = "OnClickEOCHDockGridLookup";
            }).Bind(ViewData["GridPlanCd"]).GetHtml()

        </td>

        <td>
            @Html.DevExpress().Label(
            label =>
            {
            label.ControlStyle.CssClass = "Label";
            label.Text = "Dock";
            label.Style.Add("padding-right", "10px");

            }).GetHtml()
        </td>
        <td>
            @Html.Common().DevExpress().GridLookup(
            gridLookup =>
            {
            gridLookup.Name = "PartialReleaseDockGridLookup";
            gridLookup.Width = Unit.Pixel(100);
            gridLookup.GridProperties.KeyFieldName = "DockCode";
            gridLookup.GridProperties.CallbackRouteValues = new { Controller = "PartialRelease", Action = "PartialHeaderDockLookUp" };
            gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = false;
            gridLookup.ReadOnly = true;
            gridLookup.GridProperties.Columns.Add(column =>
            {
            column.Name = "DockCode";
            column.FieldName = "DockCode";
            column.Caption = "Dock Code";
            column.Width = Unit.Pixel(80);
            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
            });
            gridLookup.GridProperties.Columns.Add(column =>
            {
            column.Name = "DockName";
            column.FieldName = "DockName";
            column.Caption = "Dock<br />Name";
            column.Width = Unit.Pixel(250);
            column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
            });
            // gridLookup.ButtonClick = "OnClickEOCHDockGridLookup";
            }).Bind(ViewData["GridDockCd"]).GetHtml()

        </td>

        <td></td>
    </tr>
    <tr>
        <td><br /></td>
        <td></td>
    </tr>

    <tr>
        <td></td>
        <td>
            @Html.DevExpress().Button(
            button =>
            {
            button.Name = "btnSearchOrder";
            button.Text = "Search";
            button.Width = Unit.Pixel(80);
            button.Style.Add("display", "inline-table");
            button.ClientSideEvents.Click = "SearchData";
            }).GetHtml()
            &nbsp;
            @Html.DevExpress().Button(
            button =>
            {
            button.Name = "btnClear";
            button.Text = "Clear";
            button.Width = Unit.Pixel(80);
            button.Style.Add("display", "inline-table");
            button.ClientSideEvents.Click = "ClearField";
            }).GetHtml()
            &nbsp;
            @Html.DevExpress().Button(
            button =>
            {
            button.Name = "btnDownloadRelease";
            button.Text = "Download";
            button.Width = Unit.Pixel(80);
            button.Style.Add("display", "inline-table");
            button.ClientSideEvents.Click = "onDownloadOrderRelease";
            }).GetHtml()
        </td>
        <td></td>
        <td></td>
    </tr>
</table>
<div style="height:15px;"></div> @* div spacing *@
<table cellpadding="0" cellspacing="0" width="100%">
    <tr>
        <td align="right" style="padding-right:10px;"></td>
    </tr>
</table>
@*}*@